Skip to main content

Games

The Games API provides access to the list of available games and their currencies that you can create offers for.

Get Games List

Retrieve a list of all available games.

Endpoint

GET /v1/games

Query Parameters

ParameterTypeRequiredDescription
filters[offer_type]stringNoFilter games by offer type. Values: items, currency, accounts
sort[field]stringNoSort field. Values: name
sort[direction]stringNoSort direction. Values: asc, desc

Request Example

curl -X GET "https://sellerapi.ggchest.com/v1/games?filters[offer_type]=accounts&sort[field]=name&sort[direction]=asc" \
-H "X-API-KEY: your-api-key-here"

Response Example

[
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "World of Warcraft",
"icon": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"path": "https://cdn.ggchest.com/icons/wow.png"
},
"resources": {
"icon": {
"id": "660e8400-e29b-41d4-a716-446655440001",
"path": "https://cdn.ggchest.com/icons/wow.png"
},
"cover": {
"id": "770e8400-e29b-41d4-a716-446655440002",
"path": "https://cdn.ggchest.com/covers/wow.jpg"
}
}
},
{
"id": "550e8400-e29b-41d4-a716-446655440003",
"name": "Final Fantasy XIV",
"icon": {
"id": "660e8400-e29b-41d4-a716-446655440004",
"path": "https://cdn.ggchest.com/icons/ffxiv.png"
},
"resources": {
"icon": {
"id": "660e8400-e29b-41d4-a716-446655440004",
"path": "https://cdn.ggchest.com/icons/ffxiv.png"
},
"cover": {
"id": "770e8400-e29b-41d4-a716-446655440005",
"path": "https://cdn.ggchest.com/covers/ffxiv.jpg"
}
}
}
]

Response Fields

FieldTypeDescription
idstringUnique game identifier (UUID)
namestringGame name
iconobject|nullGame icon object
icon.idstring|nullIcon identifier
icon.pathstring|nullURL to the icon image
resourcesobjectGame resources (icons, covers)
resources.iconobject|nullGame icon resource
resources.coverobject|nullGame cover image resource

Get Game Currencies

Retrieve available currencies for a specific game.

Endpoint

GET /v1/games/{id}/currency

Path Parameters

ParameterTypeRequiredDescription
idstringYesGame ID (UUID)

Request Example

curl -X GET "https://sellerapi.ggchest.com/v1/games/550e8400-e29b-41d4-a716-446655440000/currency" \
-H "X-API-KEY: your-api-key-here"

Response Example

[
{
"id": "880e8400-e29b-41d4-a716-446655440010",
"name": "Gold",
"nominal": "1000",
"icon": {
"id": "990e8400-e29b-41d4-a716-446655440011",
"path": "https://cdn.ggchest.com/icons/gold.png"
}
},
{
"id": "880e8400-e29b-41d4-a716-446655440012",
"name": "Silver",
"nominal": "100",
"icon": {
"id": "990e8400-e29b-41d4-a716-446655440013",
"path": "https://cdn.ggchest.com/icons/silver.png"
}
}
]

Response Fields

FieldTypeDescription
idstringCurrency identifier (UUID)
namestringCurrency name
nominalstringCurrency nominal value
iconobjectCurrency icon
icon.idstringIcon identifier
icon.pathstringURL to the icon image

Error Responses

404 Not Found

Returned when the game ID is invalid or the game doesn't exist.

{
"message": "Page not found"
}